// Tim Wahrendorff sh06


//import javax.swing.*;

public class gleichCheckv2
{
	public static void main(String[]args) throws java.io.IOException
	{
		//Tastatureingabe vorbereiten
		java.io.BufferedReader in=new java.io.BufferedReader(
			new java.io.InputStreamReader(System.in));
		
		String tastaturText = "";
		int eingabe1	= 1;
		int eingabe2   = 1;
		String abfrage = "j";
		
			while (abfrage.equals( "j" ))
				{
				
				try
					{
						System.out.println("Bitte geben sie eine Zahl ein!");
						tastaturText=in.readLine();
						eingabe1=Integer.parseInt(tastaturText);
						System.out.println(eingabe1);
				
				
				
						System.out.println("Bitte geben sie eine weitere Zahl ein!");
						tastaturText=in.readLine();
						eingabe2=Integer.parseInt(tastaturText);
						System.out.println(eingabe2);
						System.out.println();
						
						
						if (eingabe1 == eingabe2)
							{
							System.out.println(""+eingabe1+" = "+eingabe2);
							System.out.println("Die beiden Zahlen sind gleich!");
							}
						if (eingabe1 > eingabe2)
							{
							System.out.println(""+eingabe1+" ist groesser als "+eingabe2);
							System.out.println("Die erste Zahl ist größer als die zweite Zahl");
							}
						if (eingabe1 < eingabe2)
							{
							System.out.println(""+eingabe2+" ist groesser als "+eingabe1);
							System.out.println("Die zweite Eingabewert ist groesser als der erste Eingabewert!");	
							}
					
					
						System.out.println("Moechten sie weitere Zahlen vergleichen? (j zum weitermachen / anykey zum abbrechen)");
						abfrage=in.readLine();
					}
				catch (NumberFormatException e)
	      		{    
	   		 	System.out.println( "Das war keine gueltige Zahl!" );
	      		System.out.println( "Moechten sie einen neuen Versuch wagen? (j zum Neustart / anykey zum abbrechen)"); 
	      		abfrage=in.readLine();
	     			}
				
				
				
				
				}
			
	}
}	